app-crypt/oid-converter: Switch eutils to toolchain-funcs as need should be restricte...
[portage-overlay.git] / dev-libs / libgcrypt / files / libgcrypt-1.5.0-uscore.patch
1 The version taken from GnuPG 1.4 assumes any cross-compiled package have
2 prefixed underscores, which is not the case; by using libtool's own macro,
3 we can avoid the whole issue.
4
5 diff --git a/configure.ac b/configure.ac
6 index ab160c3..6df49bf 100644
7 --- a/configure.ac
8 +++ b/configure.ac
9 @@ -886,7 +886,7 @@ fi
10  #
11  # Setup assembler stuff.
12  #
13 -GNUPG_SYS_SYMBOL_UNDERSCORE()
14 +LT_SYS_SYMBOL_USCORE
15  AC_ARG_ENABLE(mpi-path,
16                AC_HELP_STRING([--enable-mpi-path=EXTRA_PATH],
17               [prepend EXTRA_PATH to list of CPU specific optimizations]),
18 diff --git a/mpi/config.links b/mpi/config.links
19 index 7e910ee..9696828 100644
20 --- a/mpi/config.links
21 +++ b/mpi/config.links
22 @@ -291,7 +291,7 @@ fi
23  
24  # Make sysdep.h
25  echo '/* created by config.links - do not edit */' >./mpi/sysdep.h
26 -if test x$ac_cv_sys_symbol_underscore = xyes; then
27 +if test x$sys_symbol_underscore = xyes; then
28      cat <<EOF >>./mpi/sysdep.h
29  #if __STDC__
30  #define C_SYMBOL_NAME(name) _##name
31 -- 
32 1.7.6.1
33